## AgsSoundcardUtil

AgsSoundcardUtil — soundcard util

## Stability Level

Stable, unless otherwise indicated

## Functions

GRecMutex * | ags_soundcard_util_get_obj_mutex ()
void | ags_soundcard_util_adjust_delay_and_attack ()
gint64 | ags_soundcard_util_calc_system_time ()
gint64 | ags_soundcard_util_calc_time_samples ()
gint64 | ags_soundcard_util_calc_time_samples_absolute ()
void | ags_soundcard_util_calc_next_note_256th_offset ()
void | ags_soundcard_util_calc_next_note_256th_attack ()

## Object Hierarchy

        GBoxed
        ╰── AgsSoundcardUtil

## Includes

    #include <ags/audio/ags_soundcard_util.h>

## Description

Soundcard utility functions.

## Functions

### ags_soundcard_util_get_obj_mutex ()

    GRecMutex *
    ags_soundcard_util_get_obj_mutex (GObject *soundcard);

Get object mutex of `soundcard` .

#### Parameters

soundcard | the GObject sub-type implementing AgsSoundcard |

#### Returns

GRecMutex pointer.

[transfer none]

Since: 3.0.0

### ags_soundcard_util_adjust_delay_and_attack ()

    void
    ags_soundcard_util_adjust_delay_and_attack
                                   (GObject *soundcard);

Adjust delay and attack of `soundcard` .

#### Parameters

soundcard | the GObject sub-type implementing AgsSoundcard |

Since: 3.3.0

### ags_soundcard_util_calc_system_time ()

    gint64
    ags_soundcard_util_calc_system_time (GObject *soundcard);

Offset of `soundcard` to system time.

#### Parameters

soundcard | the GObject sub-type implementing AgsSoundcard |

#### Returns

the system time

Since: 5.0.0

### ags_soundcard_util_calc_time_samples ()

    gint64
    ags_soundcard_util_calc_time_samples (GObject *soundcard);

Offset of `soundcard` to system time.

#### Parameters

soundcard | the GObject sub-type implementing AgsSoundcard |

#### Returns

the system time

Since: 5.0.0

### ags_soundcard_util_calc_time_samples_absolute ()

    gint64
    ags_soundcard_util_calc_time_samples_absolute
                                   (GObject *soundcard);

Offset of `soundcard` to system time.

#### Parameters

soundcard | the GObject sub-type implementing AgsSoundcard |

#### Returns

the system time

Since: 5.0.0

### ags_soundcard_util_calc_next_note_256th_offset ()

    void
    ags_soundcard_util_calc_next_note_256th_offset
                                   (GObject *soundcard,
                                    guint *note_256th_offset_lower,
                                    guint *note_256th_offset_upper);

Calc next note 256th offset of `soundcard` .

#### Parameters

soundcard | the GObject sub-type implementing AgsSoundcard |
note_256th_offset_lower | the return location of note 256th offset lower. | [out]
note_256th_offset_upper | the return location of note 256th offset upper. | [out]

Since: 6.9.0

### ags_soundcard_util_calc_next_note_256th_attack ()

    void
    ags_soundcard_util_calc_next_note_256th_attack
                                   (GObject *soundcard,
                                    guint *note_256th_attack_lower,
                                    guint *note_256th_attack_upper);